//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "CodeSchloss_GUI.h"
#include "Kl_Steuerung.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TdieGUI *dieGUI;
Steuerung *dieSteuerung;
AnsiString eing;
//---------------------------------------------------------------------------
__fastcall TdieGUI::TdieGUI(TComponent* Owner)
        : TForm(Owner)
{

  dieSteuerung = new Steuerung(this);
  dieSteuerung->festlegenCode(1, 9, 8, 4);
  Timer1->Enabled = false;
  eing = "";
  edtEing->Text = eing;
}

//---------------------------------------------------------------------------
void TdieGUI::oeffneTuer(bool wert) {
  if (wert == true)
      shpOffen->Brush->Color = clGreen;
  else
      shpOffen->Brush->Color = clRed;
}

//---------------------------------------------------------------------------

void TdieGUI::startZeit(int zeit)
// Parameter  zeit :  Zeit in ms
{
      Timer1->Enabled = false;
      Timer1->Interval = zeit*1000;
      Timer1->Enabled = true;
}

//---------------------------------------------------------------------------
void __fastcall TdieGUI::btnZ1Click(TObject *Sender)
{
  int taste;


  if (Sender == btnZ0)
      taste = 0;
  else if (Sender == btnZ1)
      taste = 1;
  else if (Sender == btnZ2)
      taste = 2;
  else if (Sender == btnZ3)
      taste = 3;
  else if (Sender == btnZ4)
      taste = 4;
  else if (Sender == btnZ5)
      taste = 5;
  else if (Sender == btnZ6)
      taste = 6;
  else if (Sender == btnZ7)
      taste = 7;
  else if (Sender == btnZ8)
      taste = 8;
  else if (Sender == btnZ9)
      taste = 9;
  else if (Sender == btnZa)
      taste = 10;
  else if (Sender == btnZr)
      taste = 11;

  eing = eing + "*";
  edtEing->Text = eing;

  dieSteuerung->gedrueckt(taste);
}

//---------------------------------------------------------------------------
void __fastcall TdieGUI::Timer1Timer(TObject *Sender)
{

  Timer1->Enabled = false;
  eing = "";
  edtEing->Text = eing;
  dieSteuerung->zeitUeberschritten();
}

//---------------------------------------------------------------------------







